Page MenuHomePhabricator

Add notice about rcstream to IRC RC motd
Closed, ResolvedPublic

Description

AFAIK the IRC RC feed is deprecated but there is no indication of this when connecting to the feed.

- irc.pmtpa.wikimedia.org Message of the Day -

- *******************************************************
- This is the Wikimedia RC->IRC gateway
- *******************************************************
- Sending messages to channels is not allowed.
-
- A channel exists for all Wikimedia wikis which have been
- changed since the last time the server was restarted. In
- general, the name is just the domain name with the .org
- left off. For example, the changes on the English Wikipedia
- are available at #en.wikipedia
-
- If you want to talk, please join one of the many
- Wikimedia-related channels on irc.freenode.net.

If the IRC RC feed is indeed deprecated then a big deprecation warning should be visible on connect pointing to the alternative

Event Timeline

Addshore updated the task description. (Show Details)
Addshore raised the priority of this task from to Needs Triage.
Addshore added subscribers: Addshore, Krenair.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 28 2015, 6:40 PM
Aklapper triaged this task as Low priority.Jan 29 2015, 5:53 PM

Deprecated in place of wikistream?? I don't think wikistream shows changes from all the wikis yet.

http://stream.wikimedia.org/ gives a 404. Is there a useable alternative for this?

I don't think it sends anything useful via HTTP like that. It's expected that you use a proper client library.

So adding a link to https://wikitech.wikimedia.org/wiki/Rcstream in MOTD is what needs to be done?

Yes currently, if T88124 was resolved then we could just link to http://stream.wikimedia.org/

Krinkle updated the task description. (Show Details)Apr 10 2015, 9:01 AM
Krinkle set Security to None.
Dzahn added a subscriber: Dzahn.Jul 9 2015, 10:43 PM

Does this mean you think irc.wikimedia.org should be turned off entirely?

Does this mean you think irc.wikimedia.org should be turned off entirely?

It'll probably be turned off entirely but that won't happen anytime in the near future. Adding a note about rcstream to the MOTD is something we should do though.

Change 224242 had a related patch set uploaded (by Glaisher):
Add a note about RCStream to irc.wikimedia.org MOTD

https://gerrit.wikimedia.org/r/224242

Change 224242 merged by Dzahn:
Add a note about RCStream to irc.wikimedia.org MOTD

https://gerrit.wikimedia.org/r/224242

Dzahn added a comment.Jul 14 2015, 2:04 AM

don't close just because of the merge , pretty sure it will need a service restart (which should only be done if you really know how to bring the rc bot back up)

Sitic added a subscriber: Sitic.Jul 29 2015, 2:37 AM

don't close just because of the merge , pretty sure it will need a service restart (which should only be done if you really know how to bring the rc bot back up)

Adding a note about stream.wikimedia.org and deprecating irc.wikimedia.org seem distinct to me. https://gerrit.wikimedia.org/r/224242 is the former, not the latter.

Is irc.wikimedia.org deprecated in favor of stream.wikimedia.org? My understanding is that the current answer is no, so this task is not resolved and won't be resolved for some time.

Dzahn added a comment.EditedOct 7 2015, 9:15 PM

i am confused a bit here. we can't shut this service down because people rely on it, at the same time we want to say it's deprecated. isn't that a contradiction somehow?

Dzahn changed the task status from Open to Stalled.Oct 7 2015, 9:16 PM

setting to stalled per comment from @MZMcBride above. agree

IRC should not be considered deprecated or discouraged until RCStream is considered encouraged.

At this time, RCStream is still experimental and subject to at least two major breaking changes. It's uptime and stability does not yet match that of IRC. For this reason, RCStream is not yet considered "publicly launched". It's a dark launched beta service. The main pending issues at Wikimedia-Stream:

Dzahn added a comment.May 3 2016, 7:29 PM

I would say this should be changed from "Add deprecation notice" to "Add notice about rcstream" and looking at the motd now that is already the case:

17 Alternatively, you can use Wikimedia's RCStream service,
18 which streams recent changes as JSON using the WebSockets protocol.
19 See https://wikitech.wikimedia.org/wiki/RCStream for details.

Dzahn renamed this task from Add deprecation notice to IRC RC feed to Add notice about rcstream to IRC RC motd.May 3 2016, 7:30 PM
Dzahn closed this task as Resolved.
Dzahn claimed this task.

Since we all agree that it's not deprecated and the message about rcstream exists.. i am now calling it resolved.